LFR-FSW - Bug #501

Signal de calibration non conforme 250mV au lieu de 500mV
19/09/2015 11:31 AM - Veronique bouzid

Status: Closed Start date: 19/09/2015
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: ro

Description

La spécification LFR RPW-MEB-LFR-SPC-00003 indique
- somme de 2 sinus , f1 625Hz zt f2=10kHz avec une amplitude de 500mVpp

Paragraphe Interconnections Specification
ensuite rubrique SCM
REQ-RPW-LFR-4706 décrit le signal de calibration.

Hello,
J ai trouvé dans le code de Paul comment il genere le signal de calibration (fichier tc_handler.c)

scaleFactor = 0.125/ 0.000654; // 191, 500 mVpp, 2 sinus waves => 250 mVpp each, amplitude = 125 mV

donc chaque sinusoide a une amplitude pic a pic de 250mV soit 125 mv
Véronique

Thomas a donc posé a la question a Guillaume (Orleans), voici la réponse

J'ai eu confirmation aujourd'hui directement par Guillaume qu'il s'agit bien du double: les amplitudes des sinusoides sont spécifiées
devoir étre 500 mVpp (250 mV d'amplitude) pour chacune. |l manque donc actuellement un facteur 2 dans la synthése de ces
sighaux de calibration. A suivre ...

Thomas

Conclusion:
Il faut modifier le soft de vol, mettre a jour la documentation et refaire les tests.

Related issues:
Related to Task #432: Valider le signal de calibration Closed 09/06/2015

History

#1 - 25/09/2015 03:10 PM - paul leroy
- Status changed from New to Resolved

- Assignee changed from paul leroy to Veronique bouzid

corrigé fsw >= 3.0.0.9, vérifié sur VHDL 1.1.89.

#2 -10/10/2015 11:02 AM - Veronique bouzid

- File CAL.pdf added

- Status changed from Resolved to Feedback

- Assignee changed from Veronique bouzid to paul leroy

Le bug est corrigé en 3.0.0.10 avec VHDL= 1.1.89

La vérification a été faite avec l'oscilloscope.
Ci-joint le plot fait par Alexis et qui montre le résultat obtenu.

Ce point est réattribué a Paul car il doit mettre a jour le document de spécification LFR RPW-MEB-LFR-SPC-00003 .

#3 - 12/10/2015 07:45 AM - paul leroy
- Assignee changed from paul leroy to Veronique bouzid

Je ne gere plus la spécification. Ca devrait étre Nicolas je pense, a la limite Vincent. Ca concerne directement I'acceptance.

#4 - 22/10/2015 09:22 AM - Veronique bouzid
Modification du document LFR RPW-MEB-LFR-SPC-00003

REQ-RPW-LFR-4706 LFR shall deliver a calibration signal to the SCM.
This signal will be the sum of two sinus waves, at different

frequencies f1 = 625 Hz and f2 = 10 kHz, with amplitudes of 500 mVpp
each, a sampling frequency of 160256.410Hz, a resolution of 12 bits and
it will will be generated until a cal disable command is received.

When not used, the calibration signal will be tied to ground via an

analog switch through a 9100hm resistor.

Bruno ou moi allons mettre a jour le document.

#5 - 23/10/2015 02:42 PM - Veronique bouzid
- Status changed from Feedback to Closed

hello,
le document LFR RPW-MEB-LFR-SPC-00003 a été modifié.
son numéro de version est 1.11.
